#!perl -w
# vim: ft=perl

use Test::More ;
use DBI;
use DBI::Const::GetInfoType;
use strict;
$|= 1;

my $dbh;
# MySQL-mode test
eval {$dbh= DBI->connect('DBI:drizzle:test;host=localhost;port=3306', 'root', 's3kr1t',
                      { drizzle_con_mysql => 1, RaiseError => 1, PrintError => 1, AutoCommit => 0 });};

if ($@) {
    plan skip_all => "ERROR: $DBI::errstr Can't continue test $@";
}
plan tests => 2; 

ok defined $dbh, "Connected to database";

ok $dbh->disconnect();
